package com.jasamedika.medifirst2000.vo;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.AntrianPasienDiPeriksa;
import com.jasamedika.medifirst2000.entities.PengkajianAwalBaru;
import com.jasamedika.medifirst2000.helper.Caption;

public class PapTandaVitalVO extends BaseTransactionVO {
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value = "ObjectPasienFk")
	@JoinColumn(name = "ObjectPasienFk")
	private AntrianPasienDiPeriksaVO pasienDaftar;	
	
	@Caption(value = "Tgl Input")
	private Date tglInput;
	 
	@Caption(value = "suhu")
	private String suhu;
	
	@Caption(value = "nadi")
	private String nadi;
	
	@Caption(value = "pernapasan")
	private String pernapasan;
	
	@Caption(value = "tekananDarah")
	private String tekananDarah;
	
	@Caption(value = "Alergi")
	private Boolean alergi;
	
	@Caption(value = "BeratBadan")
	private String beratBadan;
	
	@Caption(value = "TinggiBadan")
	private String tinggiBadan;
	
	@Caption(value = "LingkarKepala")
	private String lingkarKepala;
	
	@Caption(value = "Imt")
	private String imt;
	
	@Caption(value = "StatusGizi")
	private String statusGizi;

	@Caption(value = "Kesadaran")
	private String kesadaran;
	
	@Caption(value = "Keterangan")
	private String keterangan;
	
	public AntrianPasienDiPeriksaVO getPasienDaftar() {
		return pasienDaftar;
	}

	public void setPasienDaftar(AntrianPasienDiPeriksaVO pasienDaftar) {
		this.pasienDaftar = pasienDaftar;
	}

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}

	public String getSuhu() {
		return suhu;
	}

	public void setSuhu(String suhu) {
		this.suhu = suhu;
	}

	public String getNadi() {
		return nadi;
	}

	public void setNadi(String nadi) {
		this.nadi = nadi;
	}

	public String getPernapasan() {
		return pernapasan;
	}

	public void setPernapasan(String pernapasan) {
		this.pernapasan = pernapasan;
	}

	public String getTekananDarah() {
		return tekananDarah;
	}

	public void setTekananDarah(String tekananDarah) {
		this.tekananDarah = tekananDarah;
	}

	public Boolean getAlergi() {
		return alergi;
	}

	public void setAlergi(Boolean alergi) {
		this.alergi = alergi;
	}

	public String getBeratBadan() {
		return beratBadan;
	}

	public void setBeratBadan(String beratBadan) {
		this.beratBadan = beratBadan;
	}

	public String getTinggiBadan() {
		return tinggiBadan;
	}

	public void setTinggiBadan(String tinggiBadan) {
		this.tinggiBadan = tinggiBadan;
	}

	public String getLingkarKepala() {
		return lingkarKepala;
	}

	public void setLingkarKepala(String lingkarKepala) {
		this.lingkarKepala = lingkarKepala;
	}

	public String getImt() {
		return imt;
	}

	public void setImt(String imt) {
		this.imt = imt;
	}

	public String getStatusGizi() {
		return statusGizi;
	}

	public void setStatusGizi(String statusGizi) {
		this.statusGizi = statusGizi;
	}

	public String getKesadaran() {
		return kesadaran;
	}

	public void setKesadaran(String kesadaran) {
		this.kesadaran = kesadaran;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}
}
